## webtest 3.0.2

=== debian/changelog ===
webtest (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch for new PyPi archive naming policy
  * New upstream version 3.0.2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 00:18:12 +0100

webtest (3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Add dependency on python3-legacy-cgi (Closes: #1084545)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Nov 2024 14:39:33 +0100

=== debian/control ===
Source: webtest
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep:
 dh-sequence-python3,
 python3-all,
 python3-legacy-cgi,
 python3-setuptools,
 python3-webob,
# docs & tests
 python3-bs4,
 python3-sphinx,
 python3-waitress,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://docs.pylonsproject.org/projects/webtest
Vcs-Git: https://salsa.debian.org/python-team/packages/webtest.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/webtest

Package: python3-webtest
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-bs4,
 python3-legacy-cgi,
 python3-paste,
 python3-pastedeploy,
 python3-waitress,
 python3-webob,
Recommends: python3-lxml
#, python3-pyquery
Suggests: python-webtest-doc
Description: wraps any WSGI application and makes it easy to test
 WebTest helps you test your WSGI-based web applications. This can be any
 application that has a WSGI (Web Server Gateway Interface) interface,
 including an application written in a framework that supports WSGI (which
 includes most actively developed Python web frameworks – almost anything
 that even nominally supports WSGI should be testable).

Package: python-webtest-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: wraps any WSGI application and makes it easy to test - doc
 WebTest helps you test your WSGI-based web applications. This can be any
 application that has a WSGI (Web Server Gateway Interface) interface,
 including an application written in a framework that supports WSGI (which
 includes most actively developed Python web frameworks – almost anything
 that even nominally supports WSGI should be testable).
 .
 This is the documentation package.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=webtest
# disable tests, some dependencies are not packaged, f.e. wsgiproxy
export PYBUILD_DISABLE=test

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	mkdir -p docs/_static # Sphinx needs it
	dh_installdirs
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ debian/python-webtest-doc/usr/share/doc/python-webtest-doc/

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## webtest 3.0.4

=== debian/changelog ===
webtest (3.0.4-1) unstable; urgency=medium

  * New upstream release
  * Enable tests during build (closes: 633575)
  * Add python3-pytest, python3-wsgiproxy, python3-pyquery to Build-Depends
  * TestPasteVariables ignored (paste.deploy no longer in Debian)
  * Bump Standards-Version to 4.7.2 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Apr 2025 13:56:30 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,13 @@
  python3-setuptools,
  python3-webob,
 # docs & tests
+ python3-pytest,
  python3-bs4,
+ python3-pyquery,
  python3-sphinx,
  python3-waitress,
-Standards-Version: 4.6.1
+ python3-wsgiproxy,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://docs.pylonsproject.org/projects/webtest
 Vcs-Git: https://salsa.debian.org/python-team/packages/webtest.git

## webtest 3.0.6

=== debian/changelog ===
webtest (3.0.6-1) unstable; urgency=medium

  * Team upload.
  * Remove extraneous dependencies on python3-paste and python3-pastedeploy.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Jul 2025 14:51:16 +0200

## webtest 3.0.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WebTest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WebTest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WebTest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WebTest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.rst."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.rst."

=== debian/changelog ===
webtest (3.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 06 Nov 2025 10:10:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-legacy-cgi,
  python3-setuptools,
@@ -22,6 +23,7 @@
 Homepage: https://docs.pylonsproject.org/projects/webtest
 Vcs-Git: https://salsa.debian.org/python-team/packages/webtest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/webtest
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-webtest
 Architecture: all
@@ -30,8 +32,6 @@
  ${misc:Depends},
  python3-bs4,
  python3-legacy-cgi,
- python3-paste,
- python3-pastedeploy,
  python3-waitress,
  python3-webob,
 Recommends: python3-lxml

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=webtest
-# disable tests, some dependencies are not packaged, f.e. wsgiproxy
-export PYBUILD_DISABLE=test
+export PYBUILD_TEST_ARGS=-k 'not TestPasteVariables and not test_app_from_config_file'
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/WebTest/webtest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
